<?php
#=

/****************************************************************************
Copyright 2002, Daniel Deycard, Jacques Messines, Alain Pomirol
(CATICE Académie de Bordeaux)

This file is part of Gibii/Melia.

Gibii/Melia is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Gibii/Melia is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Gibii/Melia; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

****************************************************************************/

// ajouter un élève dans la base Mysql de Gibii
function ajout_eleve($login,$nom,$prenom,$civilite,$dnaiss,$newclasse_id,$sess_ascol,$etab_id=1) {
    //$loginquot=addslashes($login);
    //$nomquot=addslashes($nom);
    //$prenomquot=addslashes($prenom);
    $dnaiss=normerdatenaiss2($dnaiss);
    if ($civilite==1) $civilite="M.";
    else $civilite="Mlle";
    //ajouter l'élève dans ELEVES
    $sql="INSERT INTO eleves ".
         "   SET nom='".secs($nom)."', prenom='".secs($prenom)."', civil='$civilite', ".
         "   etab_id=".seci($etab_id)." ,   annee=".secs($sess_ascol).", dnaiss='".secs($dnaiss)."', classe_id=".seci($newclasse_id )." ;";
    //echo "Voici la requête : <BR> $sql <BR>";
    query($sql);
    $eleve_id=mysql_insert_id();
    
    //rajouter un compte dans COMPTES
    $passwd=md5($dnaiss); //pas d'autre choix commode pour tous !
    //if ($IMPOSE_CHGT_MDP) $actif=0; else $actif=1;
    $actif=1; // EOLE
    
    $sql="INSERT INTO comptes
                 SET login      = '".secs($login)."',
                     mdp        = '".secs($passwd)."',
                     statut     = 'Eleve',
                     actif      = ".seci($actif)." ,
                     nbsessions = 0,
                     eleve_id   = ".seci($eleve_id)." ,
                     etab_id    = ".seci($etab_id);
    query($sql);
    $compte_id=mysql_insert_id();
    //Mettre à jour la table élève avec compte_id
    $sql="UPDATE eleves ".
         "SET compte_id=".seci($compte_id  )." WHERE eleve_id=".seci($eleve_id);
    query($sql);
    
    // gibii5 :     
    $sql="INSERT INTO lien_eleves_classes SET eleve_id=".seci($eleve_id)." , classe_id=".seci($newclasse_id );
    query($sql);
}



// modifier un élève dans la base Mysql de Gibii
function modifier_eleve($eleve_id,$nom,$prenom,$civilite,$dnaiss,$newclasse_id,$sess_ascol) {
    //$nomquot=addslashes($nom);
    //$prenomquot=addslashes($prenom);
    $dnaiss=normerdatenaiss2($dnaiss);
    if ($civilite==1) $civilite="M.";
    else $civilite="Mlle";
    $sql="UPDATE eleves
          SET nom='".secs($nom)."', prenom='".secs($prenom)."',
              classe_id=".seci($newclasse_id)." , civil='$civilite',
              dnaiss='".secs($dnaiss)."', annee='".secs($sess_ascol)."'
          WHERE eleve_id=$eleve_id;";
    query($sql);


    // gibii5 :    
    $sql="DELETE FROM lien_eleves_classes WHERE eleve_id=".seci($eleve_id);
    query($sql);
    $sql="INSERT INTO lien_eleves_classes SET eleve_id=".seci($eleve_id)." , classe_id=".seci($newclasse_id );
    query($sql);
}



// ajouter un professeur dans la base Mysql de Gibii
function ajout_prof($login,$nom,$prenom,$dnaiss,$admin,$sess_ascol,$classes,$etab_id=1) {
    //$loginquot=addslashes($login);
    //$nomquot=addslashes($nom);
    //$prenomquot=addslashes($prenom);
    $dnaiss=normerdatenaiss2($dnaiss);
    if ($admin==2) $admin=1; // typeadmin dans scribe
    if ($civilite==1) $civilite="M.";
    else $civilite="Mme";
        
    $sql="INSERT INTO profs ".
         "   SET nom='".secs($nom)."', prenom='".secs($prenom)."', civil='".secs($civilite)."', ".
         "       dnaiss='".secs($dnaiss)."', disc_id='0', etab_id=".seci($etab_id)." , ".
         "       annee='".secs($sess_ascol)."', admin=".seci($admin);
    query($sql);
    $prof_id=mysql_insert_id();


    //rajouter un compte dans COMPTES
    $passwd=md5($dnaiss);
    //if ($IMPOSE_CHGT_MDP) $actif=0; else $actif=1;
    $actif=1;


    $sql="INSERT INTO comptes
                 SET login      = '".secs($login)."',
                     mdp        = '".secs($passwd)."',
                     statut     = 'Prof',
                     actif      = ".seci($actif)." ,
                     nbsessions = 0,
                     prof_id   = ".seci($prof_id)." ,
                     etab_id    = ".seci($etab_id);


    query($sql);
    $cpte_id=mysql_insert_id();
    
    //Mettre à jour l'enregistrement du prof
    $sql="UPDATE profs ".
         "   SET compte_id=".seci($cpte_id )." ".
         "   WHERE prof_id=".seci($prof_id);
    query($sql);


    foreach ($classes as $classe) {
       $classe_id=get_classe($classe);
       query("INSERT INTO lien_profs_classes (prof_id,classe_id)
              VALUES (".seci($prof_id)." , ".seci($classe_id)." )");
    }
}





// récupérer le code de la classe
// si non trouvée => créer la classe
function get_classe($divcod,$etab_id=1) {
   $query= "SELECT * FROM classes WHERE divcod='".secs($divcod)."'";
   $handle = query($query);
   $row=mysql_fetch_array($handle);
   // si trouvé renvoyer le résultat
   if ($row["classe_id"]) return ($row["classe_id"]);
   // sinon créer la classe
   $sql="INSERT INTO classes
                SET divcod  = '".secs($divcod)."',
                    etab_id = ".seci($etab_id);
   query($sql);
   return(mysql_insert_id());
}


function normerdatenaiss2($dnaiss) {
$e=ereg("^([0-9]{4})([0-9]{2})([0-9]{2})?$",$dnaiss,$r);
//print_r($r);
if ($e) {        //masque ok
    return $r[3]."/".$r[2];
}
else return $dnaiss;
}


?>